self: super: rec {
  openssl_1_1 = super.openssl_1_1.overrideAttrs (old: rec {
    version = "1.1.1k";
    pname = "openssl";
    name = "${pname}-${version}";
    src = builtins.fetchurl {
      url = "https://www.openssl.org/source/${pname}-${version}.tar.gz";
      sha256 = "1rdfzcrxy9y38wqdw5942vmdax9hjhgrprzxm42csal7p5shhal9";
    };
  });
  openssl = openssl_1_1;
}
